Skip to main content
GET
List device space references
Each item has the space and a key. The key is serves when the device serves the space and measures when it measures the space. The server decides the key; you do not send it. See Organize devices and points.

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

deviceId
string
required

Device identifier.

Query Parameters

asc
string

Field to sort ascending by.

category
string

Only spaces of this category. One of Level, SpaceUnit or Zone.

dsc
string
default:_id

Field to sort descending by. Default _id.

limit
integer<int32>
default:50

Number of items per page, from 1 to 200. Default 50.

Required range: 1 <= x <= 200
page
integer<int32>
default:1

Page number to return. The first page is 1.

Required range: x >= 1
q
string

Free-text search term.

type
string

Only spaces of this type.

usage
string

Only spaces with this usage.

Response

A page of linked spaces.

data
object[]
page
integer<int32>
limit
integer<int32>
pageCount
integer<int32>
itemCount
integer<int32>